public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2023-12-04  7:11 Viorel Munteanu
  0 siblings, 0 replies; 9+ messages in thread
From: Viorel Munteanu @ 2023-12-04  7:11 UTC (permalink / raw
  To: gentoo-commits

commit:     39a5946670c84395bc8a58525846d91a040a4285
Author:     Steven Burnham <danipo <AT> gmail <DOT> com>
AuthorDate: Mon Dec  4 04:38:40 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Dec  4 04:38:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=39a59466

app-emulation/quickemu: add 4.9.1

Signed-off-by: Steven Burnham <danipo <AT> gmail.com>

 app-emulation/quickemu/Manifest              |  1 +
 app-emulation/quickemu/quickemu-4.9.1.ebuild | 42 ++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index 72c14c97ba..f08be6a573 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1 +1,2 @@
 DIST quickemu-4.8.tar.gz 166544 BLAKE2B 527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c SHA512 1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765
+DIST quickemu-4.9.1.tar.gz 176739 BLAKE2B 0cb89afcc54e9e35573721a45a381be708843d33a70d6b8ed9943b46922dc584ff12a34414fc421f85ffc23eb335185d210f126b4bf77c6fa37a02e64ab13c4a SHA512 bf6e4f8a4d05ceb1b69eb32041476d91275c302de162a578380183d981625837256dd7b06804920cf17215657ad4c19eb75ffa12d071cef01d0baabffcc79479

diff --git a/app-emulation/quickemu/quickemu-4.9.1.ebuild b/app-emulation/quickemu/quickemu-4.9.1.ebuild
new file mode 100644
index 0000000000..7eb2b44728
--- /dev/null
+++ b/app-emulation/quickemu/quickemu-4.9.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_10 )
+inherit python-single-r1
+
+DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
+HOMEPAGE="https://github.com/quickemu-project/quickemu"
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
+	>=app-shells/bash-4.0:=
+	app-cdr/cdrtools
+	app-crypt/swtpm
+	app-misc/jq
+	net-misc/spice-gtk[gtk3]
+	net-misc/wget
+	net-misc/zsync
+	sys-apps/usbutils
+	sys-apps/util-linux
+	|| ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
+	sys-process/procps
+	x11-apps/xrandr
+	x11-misc/xdg-user-dirs
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_install() {
+	python_doscript macrecovery macrecovery
+	dobin quickemu
+	dobin quickget
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-emulation/quickemu/
@ 2024-04-13 15:59 Julien Roy
  2024-04-13 16:14 ` [gentoo-commits] repo/proj/guru:master " Julien Roy
  0 siblings, 1 reply; 9+ messages in thread
From: Julien Roy @ 2024-04-13 15:59 UTC (permalink / raw
  To: gentoo-commits

commit:     7f3a4149bd64cb0f69ec4f600f0a6dc1dcfdd153
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Apr 13 15:56:29 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Apr 13 15:57:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7f3a4149

app-emulation/quickemu: enable py3.11, py3.12

Closes: https://bugs.gentoo.org/897364
Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 app-emulation/quickemu/quickemu-4.9.1.ebuild | 4 ++--
 app-emulation/quickemu/quickemu-4.9.2.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/app-emulation/quickemu/quickemu-4.9.1.ebuild b/app-emulation/quickemu/quickemu-4.9.1.ebuild
index 969d43cb0f..e23c413c6e 100644
--- a/app-emulation/quickemu/quickemu-4.9.1.ebuild
+++ b/app-emulation/quickemu/quickemu-4.9.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..12} )
 inherit python-single-r1
 
 DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"

diff --git a/app-emulation/quickemu/quickemu-4.9.2.ebuild b/app-emulation/quickemu/quickemu-4.9.2.ebuild
index 969d43cb0f..e23c413c6e 100644
--- a/app-emulation/quickemu/quickemu-4.9.2.ebuild
+++ b/app-emulation/quickemu/quickemu-4.9.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..12} )
 inherit python-single-r1
 
 DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-emulation/quickemu/
@ 2024-04-13 15:59 Julien Roy
  2024-04-13 16:14 ` [gentoo-commits] repo/proj/guru:master " Julien Roy
  0 siblings, 1 reply; 9+ messages in thread
From: Julien Roy @ 2024-04-13 15:59 UTC (permalink / raw
  To: gentoo-commits

commit:     e53c699a520f5be0eec8c2320eb29ba986b0129b
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Apr 13 15:56:21 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Apr 13 15:57:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e53c699a

app-emulation/quickemu: drop 4.8

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 app-emulation/quickemu/Manifest            |  1 -
 app-emulation/quickemu/quickemu-4.8.ebuild | 41 ------------------------------
 2 files changed, 42 deletions(-)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index 5915a14753..ce1303b2af 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1,3 +1,2 @@
-DIST quickemu-4.8.tar.gz 166544 BLAKE2B 527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c SHA512 1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765
 DIST quickemu-4.9.1.tar.gz 176739 BLAKE2B 0cb89afcc54e9e35573721a45a381be708843d33a70d6b8ed9943b46922dc584ff12a34414fc421f85ffc23eb335185d210f126b4bf77c6fa37a02e64ab13c4a SHA512 bf6e4f8a4d05ceb1b69eb32041476d91275c302de162a578380183d981625837256dd7b06804920cf17215657ad4c19eb75ffa12d071cef01d0baabffcc79479
 DIST quickemu-4.9.2.tar.gz 179761 BLAKE2B 70eeea65a0a654e00215e595cb3bab0272d2796266656e82bd05621b96c09b5e58d2759bff2ee435c454ceffc94d6bf0f9c07496169852813d69effd8c0f89cc SHA512 c9d3afd81062590af7c73cb4757d9c704dbbbb86aae709962de421e94f235f321a7424cd340bbe15f203e5012e23f8d75fcc1f23c4db01e10e01a81159ad70a2

diff --git a/app-emulation/quickemu/quickemu-4.8.ebuild b/app-emulation/quickemu/quickemu-4.8.ebuild
deleted file mode 100644
index 969d43cb0f..0000000000
--- a/app-emulation/quickemu/quickemu-4.8.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_10 )
-inherit python-single-r1
-
-DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
-HOMEPAGE="https://github.com/quickemu-project/quickemu"
-SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-DEPEND="
-	${PYTHON_DEPS}
-	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
-	>=app-shells/bash-4.0:=
-	app-cdr/cdrtools
-	app-crypt/swtpm
-	app-misc/jq
-	net-misc/spice-gtk[gtk3]
-	net-misc/wget
-	net-misc/zsync
-	sys-apps/usbutils
-	sys-apps/util-linux
-	|| ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
-	sys-process/procps
-	x11-apps/xrandr
-	x11-misc/xdg-user-dirs
-"
-RDEPEND="${DEPEND}"
-
-src_install() {
-	python_doscript macrecovery macrecovery
-	dobin quickemu
-	dobin quickget
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2023-12-11  6:50 Viorel Munteanu
  0 siblings, 0 replies; 9+ messages in thread
From: Viorel Munteanu @ 2023-12-11  6:50 UTC (permalink / raw
  To: gentoo-commits

commit:     bbb457d99d292fcc0d75c418fba93698283ed604
Author:     Steven Burnham <danipo <AT> gmail <DOT> com>
AuthorDate: Mon Dec 11 01:56:53 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Dec 11 01:57:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bbb457d9

app-emulation/quickemu: add 4.9.2

Signed-off-by: Steven Burnham <danipo <AT> gmail.com>

 app-emulation/quickemu/Manifest              |  1 +
 app-emulation/quickemu/quickemu-4.9.2.ebuild | 42 ++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index f08be6a573..5915a14753 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1,2 +1,3 @@
 DIST quickemu-4.8.tar.gz 166544 BLAKE2B 527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c SHA512 1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765
 DIST quickemu-4.9.1.tar.gz 176739 BLAKE2B 0cb89afcc54e9e35573721a45a381be708843d33a70d6b8ed9943b46922dc584ff12a34414fc421f85ffc23eb335185d210f126b4bf77c6fa37a02e64ab13c4a SHA512 bf6e4f8a4d05ceb1b69eb32041476d91275c302de162a578380183d981625837256dd7b06804920cf17215657ad4c19eb75ffa12d071cef01d0baabffcc79479
+DIST quickemu-4.9.2.tar.gz 179761 BLAKE2B 70eeea65a0a654e00215e595cb3bab0272d2796266656e82bd05621b96c09b5e58d2759bff2ee435c454ceffc94d6bf0f9c07496169852813d69effd8c0f89cc SHA512 c9d3afd81062590af7c73cb4757d9c704dbbbb86aae709962de421e94f235f321a7424cd340bbe15f203e5012e23f8d75fcc1f23c4db01e10e01a81159ad70a2

diff --git a/app-emulation/quickemu/quickemu-4.9.2.ebuild b/app-emulation/quickemu/quickemu-4.9.2.ebuild
new file mode 100644
index 0000000000..7eb2b44728
--- /dev/null
+++ b/app-emulation/quickemu/quickemu-4.9.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_10 )
+inherit python-single-r1
+
+DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
+HOMEPAGE="https://github.com/quickemu-project/quickemu"
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
+	>=app-shells/bash-4.0:=
+	app-cdr/cdrtools
+	app-crypt/swtpm
+	app-misc/jq
+	net-misc/spice-gtk[gtk3]
+	net-misc/wget
+	net-misc/zsync
+	sys-apps/usbutils
+	sys-apps/util-linux
+	|| ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
+	sys-process/procps
+	x11-apps/xrandr
+	x11-misc/xdg-user-dirs
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_install() {
+	python_doscript macrecovery macrecovery
+	dobin quickemu
+	dobin quickget
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2023-08-24 22:41 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-08-24 22:41 UTC (permalink / raw
  To: gentoo-commits

commit:     200ab11c0a81da2b93aa3b45dede64efaeb26fb2
Author:     Hayley Hughes <hayley <AT> foxes <DOT> systems>
AuthorDate: Thu Aug 24 06:49:49 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Thu Aug 24 06:49:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=200ab11c

app-emulation/quickemu: drop 3.11

Signed-off-by: Hayley Hughes <hayley <AT> foxes.systems>

 app-emulation/quickemu/Manifest             |  1 -
 app-emulation/quickemu/quickemu-3.11.ebuild | 42 -----------------------------
 2 files changed, 43 deletions(-)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index 633ddc4a71..72c14c97ba 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1,2 +1 @@
-DIST quickemu-3.11.tar.gz 128498 BLAKE2B 15791e21733a2b77b54e8b25d37f9f8b7a112e249635c187ba1267f2bea089f38d96e5690da2d44b82b3668827df524afa765b42f90f61bfe368f53c773c51b4 SHA512 076c6e4108c5bb0e85e36c13da91e3c7f3f607b54cd50cbf73cc64fc157198a18daaa7131473e5d6166e1babd905645b673d05373a2f18959bdb4a8a1c9f897f
 DIST quickemu-4.8.tar.gz 166544 BLAKE2B 527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c SHA512 1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765

diff --git a/app-emulation/quickemu/quickemu-3.11.ebuild b/app-emulation/quickemu/quickemu-3.11.ebuild
deleted file mode 100644
index b20d3412b6..0000000000
--- a/app-emulation/quickemu/quickemu-3.11.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_10 )
-inherit python-single-r1
-
-DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
-HOMEPAGE="https://github.com/quickemu-project/quickemu"
-SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-DEPEND="
-	${PYTHON_DEPS}
-	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
-	>=app-shells/bash-4.0:=
-	app-cdr/cdrtools
-	app-crypt/swtpm
-	app-misc/jq
-	net-misc/spice-gtk[gtk3]
-	net-misc/wget
-	net-misc/zsync
-	sys-apps/usbutils
-	sys-apps/util-linux
-	sys-firmware/edk2-ovmf
-	sys-process/procps
-	x11-apps/xrandr
-	x11-misc/xdg-user-dirs
-"
-RDEPEND="${DEPEND}"
-BDEPEND=""
-
-src_install() {
-	python_doscript macrecovery macrecovery
-	dobin quickemu
-	dobin quickget
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2023-07-22 23:06 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-07-22 23:06 UTC (permalink / raw
  To: gentoo-commits

commit:     eefa46e39f6df69b94f5e675e940ecfebb2dfc49
Author:     Steven Burnham <danipo <AT> gmail <DOT> com>
AuthorDate: Sat Jul 22 17:34:13 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Jul 22 17:34:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eefa46e3

app-emulation/quickemu: Accepts -bin now for edk2-ovmf

Signed-off-by: Steven Burnham <danipo <AT> gmail.com>

 app-emulation/quickemu/quickemu-4.8.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/quickemu/quickemu-4.8.ebuild b/app-emulation/quickemu/quickemu-4.8.ebuild
index b20d3412b..7eb2b4472 100644
--- a/app-emulation/quickemu/quickemu-4.8.ebuild
+++ b/app-emulation/quickemu/quickemu-4.8.ebuild
@@ -27,7 +27,7 @@ DEPEND="
 	net-misc/zsync
 	sys-apps/usbutils
 	sys-apps/util-linux
-	sys-firmware/edk2-ovmf
+	|| ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
 	sys-process/procps
 	x11-apps/xrandr
 	x11-misc/xdg-user-dirs


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2023-07-22 13:07 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-07-22 13:07 UTC (permalink / raw
  To: gentoo-commits

commit:     62751a63881e36b8d5fbdbf835d8dfac0af5dbb6
Author:     Steven Burnham <danipo <AT> gmail <DOT> com>
AuthorDate: Sat Jul 22 04:34:09 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Jul 22 04:34:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=62751a63

app-emulation/quickemu: add 4.8

Signed-off-by: Steven Burnham <danipo <AT> gmail.com>

 app-emulation/quickemu/Manifest            |  1 +
 app-emulation/quickemu/quickemu-4.8.ebuild | 42 ++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index 90817dda9..633ddc4a7 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1 +1,2 @@
 DIST quickemu-3.11.tar.gz 128498 BLAKE2B 15791e21733a2b77b54e8b25d37f9f8b7a112e249635c187ba1267f2bea089f38d96e5690da2d44b82b3668827df524afa765b42f90f61bfe368f53c773c51b4 SHA512 076c6e4108c5bb0e85e36c13da91e3c7f3f607b54cd50cbf73cc64fc157198a18daaa7131473e5d6166e1babd905645b673d05373a2f18959bdb4a8a1c9f897f
+DIST quickemu-4.8.tar.gz 166544 BLAKE2B 527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c SHA512 1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765

diff --git a/app-emulation/quickemu/quickemu-4.8.ebuild b/app-emulation/quickemu/quickemu-4.8.ebuild
new file mode 100644
index 000000000..b20d3412b
--- /dev/null
+++ b/app-emulation/quickemu/quickemu-4.8.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_10 )
+inherit python-single-r1
+
+DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
+HOMEPAGE="https://github.com/quickemu-project/quickemu"
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
+	>=app-shells/bash-4.0:=
+	app-cdr/cdrtools
+	app-crypt/swtpm
+	app-misc/jq
+	net-misc/spice-gtk[gtk3]
+	net-misc/wget
+	net-misc/zsync
+	sys-apps/usbutils
+	sys-apps/util-linux
+	sys-firmware/edk2-ovmf
+	sys-process/procps
+	x11-apps/xrandr
+	x11-misc/xdg-user-dirs
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_install() {
+	python_doscript macrecovery macrecovery
+	dobin quickemu
+	dobin quickget
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2021-12-15 10:51 Andrew Ammerlaan
  0 siblings, 0 replies; 9+ messages in thread
From: Andrew Ammerlaan @ 2021-12-15 10:51 UTC (permalink / raw
  To: gentoo-commits

commit:     552c56934b06f1b5f00627e9481d3f7b480366e4
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 15 10:46:21 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Dec 15 10:46:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=552c5693

app-emulation/quickemu: fix BadFilename

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 app-emulation/quickemu/Manifest             | 2 +-
 app-emulation/quickemu/quickemu-3.11.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index bb26a360b..90817dda9 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1 +1 @@
-DIST 3.11.tar.gz 128498 BLAKE2B 15791e21733a2b77b54e8b25d37f9f8b7a112e249635c187ba1267f2bea089f38d96e5690da2d44b82b3668827df524afa765b42f90f61bfe368f53c773c51b4 SHA512 076c6e4108c5bb0e85e36c13da91e3c7f3f607b54cd50cbf73cc64fc157198a18daaa7131473e5d6166e1babd905645b673d05373a2f18959bdb4a8a1c9f897f
+DIST quickemu-3.11.tar.gz 128498 BLAKE2B 15791e21733a2b77b54e8b25d37f9f8b7a112e249635c187ba1267f2bea089f38d96e5690da2d44b82b3668827df524afa765b42f90f61bfe368f53c773c51b4 SHA512 076c6e4108c5bb0e85e36c13da91e3c7f3f607b54cd50cbf73cc64fc157198a18daaa7131473e5d6166e1babd905645b673d05373a2f18959bdb4a8a1c9f897f

diff --git a/app-emulation/quickemu/quickemu-3.11.ebuild b/app-emulation/quickemu/quickemu-3.11.ebuild
index 6cd3d5583..18bc3d023 100644
--- a/app-emulation/quickemu/quickemu-3.11.ebuild
+++ b/app-emulation/quickemu/quickemu-3.11.ebuild
@@ -8,7 +8,7 @@ inherit python-single-r1
 
 DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
 HOMEPAGE="https://github.com/quickemu-project/quickemu"
-SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz"
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/
@ 2021-12-15 10:35 Andrew Ammerlaan
  0 siblings, 0 replies; 9+ messages in thread
From: Andrew Ammerlaan @ 2021-12-15 10:35 UTC (permalink / raw
  To: gentoo-commits

commit:     2e12abb9ecc073205f10358390b4999c867ea58a
Author:     Hayley Hughes <hayley <AT> foxes <DOT> systems>
AuthorDate: Wed Dec 15 08:39:53 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Dec 15 08:44:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2e12abb9

app-emulation/quickemu: New package

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hayley Hughes <hayley <AT> foxes.systems>

 app-emulation/quickemu/Manifest             |  1 +
 app-emulation/quickemu/metadata.xml         |  8 ++++++
 app-emulation/quickemu/quickemu-3.11.ebuild | 42 +++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
new file mode 100644
index 000000000..bb26a360b
--- /dev/null
+++ b/app-emulation/quickemu/Manifest
@@ -0,0 +1 @@
+DIST 3.11.tar.gz 128498 BLAKE2B 15791e21733a2b77b54e8b25d37f9f8b7a112e249635c187ba1267f2bea089f38d96e5690da2d44b82b3668827df524afa765b42f90f61bfe368f53c773c51b4 SHA512 076c6e4108c5bb0e85e36c13da91e3c7f3f607b54cd50cbf73cc64fc157198a18daaa7131473e5d6166e1babd905645b673d05373a2f18959bdb4a8a1c9f897f

diff --git a/app-emulation/quickemu/metadata.xml b/app-emulation/quickemu/metadata.xml
new file mode 100644
index 000000000..2dbfc0eba
--- /dev/null
+++ b/app-emulation/quickemu/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>hayley@foxes.systems</email>
+		<name>Hayley Hughes</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/app-emulation/quickemu/quickemu-3.11.ebuild b/app-emulation/quickemu/quickemu-3.11.ebuild
new file mode 100644
index 000000000..6cd3d5583
--- /dev/null
+++ b/app-emulation/quickemu/quickemu-3.11.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit python-single-r1
+
+DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual machines"
+HOMEPAGE="https://github.com/quickemu-project/quickemu"
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	>=app-emulation/qemu-6.0.0[gtk,sdl,spice]
+	>=app-shells/bash-4.0:=
+	app-cdr/cdrtools
+	app-crypt/swtpm
+	app-misc/jq
+	net-misc/spice-gtk[gtk3]
+	net-misc/wget
+	net-misc/zsync
+	sys-apps/usbutils
+	sys-apps/util-linux
+	sys-firmware/edk2-ovmf
+	sys-process/procps
+	x11-apps/xrandr
+	x11-misc/xdg-user-dirs
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_install() {
+	python_doscript macrecovery macrecovery
+	dobin quickemu
+	dobin quickget
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2024-04-13 16:14 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-04  7:11 [gentoo-commits] repo/proj/guru:master commit in: app-emulation/quickemu/ Viorel Munteanu
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13 15:59 [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-04-13 16:14 ` [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-04-13 15:59 [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-04-13 16:14 ` [gentoo-commits] repo/proj/guru:master " Julien Roy
2023-12-11  6:50 Viorel Munteanu
2023-08-24 22:41 David Roman
2023-07-22 23:06 David Roman
2023-07-22 13:07 David Roman
2021-12-15 10:51 Andrew Ammerlaan
2021-12-15 10:35 Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox